# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::VertexAttrib Class Reference

RenderState wrapping the OpenGL function glVertexAttrib(), see also http://www.opengl.org/sdk/docs/man3/xhtml/glVertexAttrib.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::VertexAttrib:

List of all members.

## Public Member Functions

| VertexAttrib ()
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | setValue (const fvec4 &value)
const fvec4 & | value () const
virtual ref< RenderState > | clone () const

## Protected Attributes

fvec4 | mValue

## Detailed Description

RenderState wrapping the OpenGL function glVertexAttrib(), see also http://www.opengl.org/sdk/docs/man3/xhtml/glVertexAttrib.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 60 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::VertexAttrib::VertexAttrib | ( | ) | `[inline]`

Definition at line 65 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::VertexAttrib::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 70 of file Shader.hpp.

References vl::RS_VertexAttrib.

void VertexAttrib::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 691 of file Shader.cpp.

References mValue, vl::OpenGLContext::mVertexAttribValue, vl::Vector4< T_Scalar >::ptr(), and VL_CHECK_OGL.

void vl::VertexAttrib::setValue | ( | const fvec4 & | value ) | `[inline]`

Definition at line 74 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_VertexAttrib::importVertexAttrib().

const fvec4& vl::VertexAttrib::value | ( | ) | const`[inline]`

Definition at line 76 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_VertexAttrib::exportVertexAttrib().

virtual ref<RenderState> vl::VertexAttrib::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 78 of file Shader.hpp.

## Member Data Documentation

fvec4 vl::VertexAttrib::mValue`[protected]`

Definition at line 86 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.